For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETGet records
      • GETGet record Indices
      • PUTUpdate records
      • POSTInsert records
      • DELDelete records
      • PUTFinds and replaces field values matching search criteria
      • PATCHBulk update records with field values
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceRecords

Update records

PUT
https://api.x.flatfile.com/v1/sheets/:sheetId/records
PUT
/v1/sheets/:sheetId/records
$curl -X PUT https://api.x.flatfile.com/v1/sheets/us_sh_YOUR_ID/records \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "id": "us_rc_YOUR_ID",
> "values": {
> "firstName": {
> "valid": true,
> "messages": [],
> "value": "John"
> },
> "lastName": {
> "valid": true,
> "messages": [],
> "value": "Smith"
> },
> "email": {
> "valid": true,
> "messages": [],
> "value": "john.smith@example.com"
> }
> },
> "commitId": "us_vr_YOUR_ID",
> "config": {},
> "metadata": {},
> "valid": true,
> "versionId": "us_vr_YOUR_ID"
> }
>]'
1{
2 "data": {
3 "versionId": "us_vr_YOUR_ID"
4 }
5}
Updates existing records in a workbook sheet
Was this page helpful?
Previous

Insert records

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

sheetIdstringRequired
ID of sheet

Headers

X-Disable-Hooks"true"Required

Request

This endpoint expects a list of objects.
idstringRequired
Record ID
valuesmap from strings to objectsRequired
A single row of data in a Sheet
commitIdstringOptional
Commit ID
configobjectOptional
Configuration of a record or specific fields in the record
metadatamap from strings to anyOptional
validbooleanOptional

Auto-generated value based on whether the record contains a field with an error message. Cannot be set via the API.

messageslist of objectsOptionalDeprecated

This record level messages property is deprecated and no longer stored or used. Use the messages property on the individual cell values instead. This property will be removed in a future release.

versionIdstringOptionalDeprecated

Deprecated, use commitId instead.

Response

This endpoint returns an object.
dataobject

Errors

400
Bad Request Error
404
Not Found Error